| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwBIORAD.cpp File Reference

Functions for reading and writing BioRad confocal files. More...

`#include "rwBIORAD.h"`
`#include "file_util.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | swap_header (BIORADhead *header)
int | readBIORAD (Bimage *p, int readdata)
| Reading a BioRad image file format. More...
int | writeBIORAD (Bimage *p)
| Writing a BioRad image file format. More...

## Variables
int | verbose

## Detailed Description

Functions for reading and writing BioRad confocal files.

Author
  Bernard Heymann

Date
  Created: 19990427
  Modified: 20120321

Definition in file rwBIORAD.cpp.

## Function Documentation

## ◆ readBIORAD()

int readBIORAD | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a BioRad image file format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure). A 3D image format intended for confocal light microscopy. Header size: 76 bytes (fixed). File format extension: .PIC. Identifier: 12345 (byte 54). Byte order determination: Magic number. Data types: 0 = short, 1 = byte.

Definition at line 40 of file rwBIORAD.cpp.

## ◆ swap_header()

int swap_header | ( | BIORADhead * | header | ) |

Definition at line 15 of file rwBIORAD.cpp.

## ◆ writeBIORAD()

int writeBIORAD | ( | Bimage * | p | ) |

Writing a BioRad image file format.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure). A 3D image format intended for confocal light microscopy.

Definition at line 99 of file rwBIORAD.cpp.

## Variable Documentation

## ◆ verbose

int verbose